## GulkanRenderPass

GulkanRenderPass

## Functions

GulkanRenderPass * | gulkan_render_pass_new ()
void | gulkan_render_pass_begin ()
VkRenderPass | gulkan_render_pass_get_handle ()

## Types and Values

#define | GULKAN_TYPE_RENDER_PASS
| GulkanRenderPass

## Object Hierarchy

        GObject
        ╰── GulkanRenderPass

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_render_pass_new ()

    GulkanRenderPass *
    gulkan_render_pass_new (GulkanDevice *device,
                            VkSampleCountFlagBits samples,
                            VkFormat color_format,
                            VkImageLayout final_color_layout,
                            gboolean use_depth);

### gulkan_render_pass_begin ()

    void
    gulkan_render_pass_begin (GulkanRenderPass *self,
                              VkExtent2D extent,
                              VkClearColorValue clear_color,
                              GulkanFrameBuffer *frame_buffer,
                              VkCommandBuffer cmd_buffer);

### gulkan_render_pass_get_handle ()

    VkRenderPass
    gulkan_render_pass_get_handle (GulkanRenderPass *self);

## Types and Values

### GULKAN_TYPE_RENDER_PASS

    #define GULKAN_TYPE_RENDER_PASS gulkan_render_pass_get_type()

### GulkanRenderPass

    typedef struct _GulkanRenderPass GulkanRenderPass;